org.apache.fop.fo.properties

## Class PageBreakShorthandParser

- java.lang.Object
- - org.apache.fop.fo.properties.PageBreakShorthandParser

All Implemented Interfaces:
  ShorthandParser

    public class PageBreakShorthandParser
    extends Object
    implements ShorthandParser

Shorthand parser for page-break-before, page-break-after and page-break-inside. Used to set the corresponding keep-* and break-* properties.

### Constructor Summary

Constructors
Constructor and Description
`PageBreakShorthandParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageBreakShorthandParser

    public PageBreakShorthandParser()

### Method Detail

#### getValueForProperty

    public Property getValueForProperty(int propId,
                                        Property property,
                                        PropertyMaker maker,
                                        PropertyList propertyList)
                                 throws PropertyException

Specified by:
  `getValueForProperty` in interface `ShorthandParser`
Parameters:
  `propId` - the property ID in the Constants interface
  `property` - from which value is obtained
  `maker` - Maker object for the Property
  `propertyList` - list of properties
Returns:
  Property object corresponding to propName
Throws:
  `PropertyException` - in case a property exception occurs